%{?perl_default_filter}

# do not provide/require private perl modules
%global __requires_exclude GD.so|perl\\(HTML::Clean\\)|perl\\((WML::GD|find.pl)\\)
%global __provides_exclude GD.so|perl\\(HTML::Clean\\)|perl\\(WML::GD\\)

Summary:	Website META Language
Name:		wml
Version:	2.32.0
Release:	%mkrel 8
License:	GPLv2+
Group:		Publishing
URL:		https://github.com/thewml/website-meta-language
Source:		https://github.com/thewml/website-meta-language/releases/download/releases%2Fwml-%{version}/wml-%{version}.tar.xz
Patch0:		wml-cmake-4.0.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libtool
BuildRequires:	libltdl-devel
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	perl-devel
BuildRequires:	gdbm-devel
BuildRequires:	db-devel
BuildRequires:	gettext-devel
BuildRequires:	lynx
# Please do not ever link this with an old db version than the current system db version
# libperl uses {get,set}pw*() functions which might bring in the system db version via nss,
# and lead to unexpected crashes
# BuildRequires: db2-devel, libgdbm-devel
BuildRequires:	perl(Bit::Vector) >= 5.2
BuildRequires:	perl(Carp::Always)
BuildRequires:	perl(Class::XSAccessor)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Which)
BuildRequires:	perl(GD)
BuildRequires:	perl(Getopt::Long) >= 2.16
BuildRequires:	perl(Image::Size) >= 2.6
BuildRequires:	perl(IO::All)
BuildRequires:	perl(Path::Tiny)
BuildRequires:	perl(Perl::Critic)
BuildRequires:	perl(Perl::Tidy)
BuildRequires:	perl(Term::ANSIColor)
BuildRequires:	perl(Term::ReadKey) >= 2.11
BuildRequires:	perl(Test::Code::TidyAll)
# why does not autorequires catch those???
Requires:	perl(Bit::Vector) >= 5.2
Requires:	perl(Class::XSAccessor)
Requires:	perl(File::Spec)
Requires:	perl(Getopt::Long) >= 2.16
Requires:	perl(IO::All)
Requires:	perl(Image::Size) >= 2.6
Requires:	perl(Term::ReadKey) >= 2.11
Requires:	wml-data
Provides:	wml-params-conf = %{version}-%{release}

%description
WML is a free and extensible web designer's off-line HTML generation
toolkit for Unix, distributed under the GNU General Public License
(GPL v2). It is written in ANSI C and Perl 5, built using a CMake
based source tree and runs out-of-the-box on all major Unix derivatives.
It can be used free of charge both in educational and commercial
environments.

%package data
BuildArch: noarch
Summary: wml data

%description data
Data files for wml.

%prep
%autosetup -p1

%build
%cmake -DLOCALE_INSTALL_DIR=%{_datadir}/locale

%cmake_build

%check
export PERL5LIB="$PWD/wml_test/:$PERL5LIB"
%make_build -C build -Onone check

%install
%cmake_install

%files
%doc BUGREPORT.md ChangeLog CREDITS.md
%doc README.md SUPPORT.asciidoc
%license COPYING COPYRIGHT COPYRIGHT.OTHER
%{_bindir}/*
%{_datadir}/%{name}/TheWML/Config.pm
%{_libdir}/%{name}/
%{_mandir}/*/*
%{_usr}/lib/mp4h/*/*

%files data
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/TheWML/Config.pm


%changelog
* Sun Jul 27 2025 daviddavid <daviddavid> 2.32.0-8.mga10
+ Revision: 2260969
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 2.32.0-7.mga10
+ Revision: 2089701
- Rebuild for perl-5.40

* Tue Feb 27 2024 daviddavid <daviddavid> 2.32.0-6.mga10
+ Revision: 2044691
- Rebuild for Perl 5.38

* Tue Jun 07 2022 umeabot <umeabot> 2.32.0-5.mga9
+ Revision: 1862966
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 2.32.0-4.mga9
+ Revision: 1839525
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.32.0-3.mga9
+ Revision: 1727702
- Rebuild for perl 5.34

* Tue Dec 15 2020 tv <tv> 2.32.0-2.mga8
+ Revision: 1657501
- BR pkgconfig(libnsl)

* Wed Nov 04 2020 shlomif <shlomif> 2.32.0-1.mga8
+ Revision: 1642493
- New version 2.32.0

* Wed Sep 02 2020 shlomif <shlomif> 2.30.0-1.mga8
+ Revision: 1620836
- New version 2.30.0

* Thu Jun 18 2020 umeabot <umeabot> 2.28.0-2.mga8
+ Revision: 1596062
- Rebuild for perl 5.32

* Sun Jun 07 2020 shlomif <shlomif> 2.28.0-1.mga8
+ Revision: 1590818
- New version 2.28.0

* Thu Mar 12 2020 shlomif <shlomif> 2.26.0-1.mga8
+ Revision: 1555757
- New version 2.26.0

* Tue Feb 18 2020 umeabot <umeabot> 2.24.0-3.mga8
+ Revision: 1541392
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Dec 26 2019 shlomif <shlomif> 2.24.0-2.mga8
+ Revision: 1470110
- adapt for new cmake macros

* Sun Sep 08 2019 shlomif <shlomif> 2.24.0-1.mga8
+ Revision: 1438416
- New version 2.24.0

* Tue Aug 27 2019 tmb <tmb> 2.22.0-2.mga8
+ Revision: 1433965
- rebuild for perl 5.30

* Sun Aug 18 2019 shlomif <shlomif> 2.22.0-1.mga8
+ Revision: 1429812
- New version 2.22.0

* Sat Apr 27 2019 shlomif <shlomif> 2.20.4-1.mga7
+ Revision: 1395725
- New version 2.20.4 with a security fix

* Sat Apr 13 2019 shlomif <shlomif> 2.20.3-1.mga7
+ Revision: 1389742
- New version 2.20.3

* Fri Apr 12 2019 shlomif <shlomif> 2.20.2-1.mga7
+ Revision: 1389417
- New version 2.20.2

* Tue Apr 02 2019 pterjan <pterjan> 2.20.1-3.mga7
+ Revision: 1385455
- Try to make the package installable

* Tue Apr 02 2019 shlomif <shlomif> 2.20.1-2.mga7
+ Revision: 1385410
- package an arch dep file in non-data pkg

* Tue Apr 02 2019 shlomif <shlomif> 2.20.1-1.mga7
+ Revision: 1385351
- New version 2.20.1

* Sun Mar 31 2019 shlomif <shlomif> 2.20.0-1.mga7
+ Revision: 1383700
- New version 2.20.0

* Thu Mar 28 2019 shlomif <shlomif> 2.18.0-1.mga7
+ Revision: 1380779
- New version 2.18.0

* Tue Mar 26 2019 shlomif <shlomif> 2.16.0-1.mga7
+ Revision: 1380362
- New version 2.16.0

* Sat Mar 09 2019 shlomif <shlomif> 2.14.0-1.mga7
+ Revision: 1373127
- New version 2.14.0

* Wed Feb 20 2019 shlomif <shlomif> 2.12.3-1.mga7
+ Revision: 1368981
- New version 2.12.3

* Mon Jan 28 2019 shlomif <shlomif> 2.12.2-1.mga7
+ Revision: 1361690
- New version 2.12.2

* Sat Jan 12 2019 shlomif <shlomif> 2.12.1-1.mga7
+ Revision: 1355659
- New version 2.12.1

* Tue Dec 25 2018 shlomif <shlomif> 2.12.0-1.mga7
+ Revision: 1344994
- New version 2.12.0

* Mon Dec 17 2018 shlomif <shlomif> 2.10.1-1.mga7
+ Revision: 1342116
- New version 2.10.1

* Sat Dec 15 2018 shlomif <shlomif> 2.10.0-1.mga7
+ Revision: 1341299
- Add BR
- New version 2.10.0

* Thu Sep 20 2018 shlomif <shlomif> 2.8.1-2.mga7
+ Revision: 1287764
- add provides

* Tue Sep 18 2018 shlomif <shlomif> 2.8.1-1.mga7
+ Revision: 1259506
- add BRs
- add BRs
- New version 2.8.1 - fix tests

* Sat Sep 15 2018 shlomif <shlomif> 2.8.0-1.mga7
+ Revision: 1259117
- Add BRs
- New version 2.8.0

* Mon Aug 06 2018 shlomif <shlomif> 2.6.1-2.mga7
+ Revision: 1248321
- Rebuild for new perl 5.28.0

* Wed May 16 2018 shlomif <shlomif> 2.6.1-1.mga7
+ Revision: 1229838
- Add missing deps
- New version 2.6.1 with fixes
- fix the operation
- New version 2.6.0

* Sat Jul 22 2017 shlomif <shlomif> 2.4.1-1.mga7
+ Revision: 1128077
- New version 2.4.1
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Tue Jun 21 2016 shlomif <shlomif> 2.4.0-6.mga6
+ Revision: 1037073
- Fix the build - 10x to david_david

* Wed Feb 17 2016 umeabot <umeabot> 2.4.0-5.mga6
+ Revision: 963282
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 2.4.0-4.mga6
+ Revision: 846146
- rebuild with soname-ified perl

* Tue Jun 23 2015 shlomif <shlomif> 2.4.0-3.mga6
+ Revision: 841268
- Add missing BR
- Rebuild for the new perl-5.22.0
- New version 2.4.0
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.2-7.mga5
+ Revision: 726371
- fix requires

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-6.mga5
+ Revision: 690343
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Mon Jun 09 2014 shlomif <shlomif> 2.2.2-5.mga5
+ Revision: 635213
- Bump rel for perl rebuild

* Tue Feb 04 2014 shlomif <shlomif> 2.2.2-4.mga5
+ Revision: 581984
- Rebuild for new perl - 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 2.2.2-3.mga4
+ Revision: 533380
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 shlomif <shlomif> 2.2.2-2.mga4
+ Revision: 472859
- Rebuild for perl-5.18.1

* Wed May 29 2013 shlomif <shlomif> 2.2.2-1.mga4
+ Revision: 432015
- New version 2.2.2 + rebuild for perl-5.18.0

* Sat Apr 06 2013 shlomif <shlomif> 2.2.1-3.mga3
+ Revision: 408527
- Rebuild for new libperl version.

* Mon Jan 14 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 385760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 shlomif <shlomif> 2.2.1-1.mga3
+ Revision: 325925
- New version.

* Sat Dec 01 2012 fwang <fwang> 2.2.0-9.mga3
+ Revision: 323857
- rebuild for new pcre

* Wed Nov 07 2012 shlomif <shlomif> 2.2.0-8.mga3
+ Revision: 316228
- Rebuild for new perl

* Fri Aug 24 2012 shlomif <shlomif> 2.2.0-7.mga3
+ Revision: 283629
- Rebuild for the new perl

* Fri Jun 01 2012 shlomif <shlomif> 2.2.0-6.mga3
+ Revision: 253185
- Made rpmlint happier

* Fri Jun 01 2012 shlomif <shlomif> 2.2.0-5.mga3
+ Revision: 252957
- BuildRequires on gdbm-devel and db-devel
- BuildRequires on perl(HTML::Clean)
- BuildRequires on GD.pm
- Add a missing BuildRequires on cmake
- New version: 2.2.0

* Fri Dec 16 2011 shlomif <shlomif> 2.0.11-9.mga2
+ Revision: 182723
- imported package wml


* Wed Apr 06 2011 Shlomi Fish <shlomif@mandriva.org> 2.0.11-9mdv2011.0
+ Revision: 651083
- Bump the release for the new perl

* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.11-8mdv2011.0
+ Revision: 608170
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.11-7mdv2010.1
+ Revision: 524317
- rebuilt for 2010.1

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 2.0.11-6mdv2010.0
+ Revision: 450404
- merge build fixes from Gentoo (Arnaud Patard):
  format errors and autotools
- build with external libltdl (from Arnaud Patard)

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0.11-5mdv2009.0
+ Revision: 225927
- rebuild

* Sun Mar 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.11-4mdv2008.1
+ Revision: 189571
- fix #39253 (wml is broken since the CVE fix.)

* Wed Mar 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.11-3mdv2008.1
+ Revision: 188821
- fix #38582, #38583 (fixes CVE-2008-0665, CVE-2008-0666)

* Thu Jan 24 2008 Adam Williamson <awilliamson@mandriva.org> 2.0.11-2mdv2008.1
+ Revision: 157284
- perl 5.10 fixes from Shlomi (#37094)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.11-1mdv2008.0
+ Revision: 93681
- fix build requires (lynx)
- fix build requires (gettext-devel)
- 2.0.11
- bunzip and rediff patches
- link against system pcre libs (P4)
- attempt to fix #34245 (wml doesn't work on x86_64)

  + Thierry Vignaud <tv@mandriva.org>
    - s/Mandrake/Mandriva/

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.9-13mdv2008.0
+ Revision: 74822
- Import wml



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.0.9-13mdv2007.0
- Rebuild

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-12
- rebuild for png
- %%mkrel

* Sat Oct 15 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0.9-11mdk
- fix one of the perl build dependencies, for version matching

* Wed Sep  7 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.0.9-10mdk
- gcc4 fixes

* Wed Nov 17 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.0.9-9mdk
- Rebuild for new perl

* Sun Dec 14 2003 Luca Berra <bluca@vodka.it> 2.0.9-8mdk
- fixed configure script to use 'use' instead of 'require'
- substituted deprecated File::PathConvert with Cwd and File::Spec (both bundled with perl)
- use Config{perllibs} instead of Config{libs}, kill (build)requires for gdbm/db2
- use --with-openworld, so we do not rebuild our own modules
- do not provide/require the other private perl-modules

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.9-7mdk
- BuildRequires: libgdbm-devel

* Wed Jun 18 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.0.9-6mdk
- get rid of debug stuff in %%{_libdir}
- compile with $RPM_OPT_FLAGS
- don't rm -rf $RPM_OPT_FLAGS in %%prep stage

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.9-5mdk
- rebuild for new auto{prov,req}

* Wed Mar 12 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.9-4mdk
- fix buildrequires

* Wed Mar 12 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.9-3mdk
- fix buildrequires

* Wed Mar 12 2003 Götz Waschk <waschk@linux-mandrake.com> 2.0.9-2mdk
- fix buildrequires

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9

* Fri Jul 12 2002 Götz Waschk <waschk@linux-mandrake.com> 2.0.8-1mdk
- buildrequires db2-devel
- patch eperl to build with perl 5.8.0
- 2.0.8

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-1mdk
- 2.0.7

* Fri Aug 31 2001 Etienne Faure <etienne@mandrakesoft.com> 2.0.6-3mdk
- rebuild

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-2mdk
- rebuild

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- updated by Götz Waschk <waschk@linux-mandrake.com> :
	- 2.0.6

* Wed Sep  6 2000 Götz Waschk <waschk@linux-mandrake.com> 2.0.3-1mdk
- updated to 2.0.3
- make rpmlint happy

* Sun Jul 30 2000 Götz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- initial Mandrake package
